<?php 
require_once APPPATH.'/helpers/StudentHelper.php';
require_once APPPATH.'/helpers/JsHelper.php';

?>
	<section class="profile-bg pro-detail announced-project-detail">
		<div class="container project-deatil">
		
			<div class="row tit-with-btn">
				<div class="col-sm-8">
					<h2><?php echo $project['ProjectName']?> </h2>
					<div class="categs">
					<p>at </p> <a href=""><?php echo $project['company']['CompanyName']?></a> Sector<span>
					 <img src="<?php echo base_url('assets/images/arrow.png'); ?>" alt="arrow" /><?php echo $project['Sector']?></span>  
					</div>
				</div>
				<?php if(!empty($project['my_current_status'])){ ?>
				<?php if(!empty($project['my_current_status'])&& ($project['my_current_status']['StudentStatus']==StudentHelper::PROJECT_STATUS_PENDING ||$project['my_current_status']['StudentStatus']==StudentHelper::PROJECT_STATUS_NOT_SELECTED)){?>
				<div class="col-sm-3">
					<div class="applied-project-detail-top">
							<?php if (!$this->agent->is_referral()){ ?>
							<span>! <?php echo $project['my_current_status']['StudentStatusName'];?></span>
					 <a href="<?php echo $this->agent->referrer();?>"
						class="comp-down-btn"><i></i>Back</a> <?php }?>	
						<?php if($project['my_current_status']['StudentStatus']==StudentHelper::PROJECT_STATUS_PENDING){?>
						
						<a onClick='return confirm("Opt out?");' href="<?php echo base_url('projects/optout?projectid='.$project['ProjectId'])?>" class="opt-out-btn">Opt Out</a>
						<?php }?>
						
					</div>
				</div>	
				<?php } elseif($project['my_current_status']['StudentStatus']==StudentHelper::PROJECT_STATUS_COMPLETED){?>
				<div class="col-sm-4">
					<div class="com-p-btn-sec">
					<?php if (!$this->agent->is_referral()){ ?>
					 <a href="<?php echo $this->agent->referrer();?>"
						class="comp-down-btn"><i></i>Back</a> <?php }?>
						<a href="" class="comp-down-btn" data-toggle="modal" data-target="#myModal5" data-link="<?php echo base_url('projects/deliverables?projectid='.$project['ProjectId'])?>"><i class="dow-arr"></i>Download Deliverables</a>
						<?php if(!empty($project['my_score'])){?>
						<a href="" data-toggle="modal" data-target="#score">Project Score<span><?php echo $project['my_score']['OverallScore']?></span></a>
						<?php }?>
					</div>
				</div>
				<?php }elseif($project['my_current_status']['StudentStatus']==StudentHelper::PROJECT_STATUS_SELECTED){?>
				<div class="col-sm-4">
					<div class="com-p-btn-sec live-p-btn-sec live-p-detail-btn-sec">
						<?php if (!$this->agent->is_referral()){ ?>
					 <a href="<?php echo $this->agent->referrer();?>"
						class="comp-down-btn"><i></i>Back</a> <?php }?>
						<a href="" class="comp-down-btn" data-toggle="modal" data-target="#upload"><i class="dow-arr"></i>Upload Deliverables</a>
						<a href="">Project Space</a>
						
					</div>
					
				</div>
				<?php }?>
				<?php } ?>
			</div>	
			
			<div class="row cus-col-width">
				<div class="col-sm-8">
					<div class="project-deatil-col">
					
						<img src="<?php echo $project['ProjectImageUrl'] ?>" alt="boutike" />
					</div>
					<div class="project-deatil-col-p" style="margin-top:-20px;">
						<h2>Objectives</h2>
						
						<p><?php echo nl2br($project['Objective'])?></p>
					</div>
					<div class="project-deatil-col-p">
						<h2>Description</h2>
						<p><?php echo nl2br($project['Description'])?></p>
					</div>
					<div class="project-deatil-col-p">
						<h2>Required Skills</h2>
						<?php $skills = explode(',', $project['DesiredSkills']);foreach ($skills as $skill){?>
						<span class="pd-btn"><?php echo $skill?></span>
						<?php }?>
						
					</div>
					<div class="project-deatil-col-p">
						<h2>Language Skills</h2>
						<?php $languages = explode(',', $project['Language']);foreach ($languages as $lang){?>
						<span class="pd-btn"><?php echo $lang?></span>
						<?php }?>
					</div>
					<div class="project-deatil-col-p">
						<h2>Deliverables</h2>
						<?php $deliverables = explode(',', $project['Deliverables']);foreach ($deliverables as $d){?>
						<span class="pd-btn"><?php echo $d?></span>
						<?php }?>
						
					</div>
					<div class="project-deatil-col-p">
						<h2>About</h2>
						<p><?php echo htmlentities($project['company']['About'])?></p>
					</div>
					<?php if(!empty($project['can_apply']) && $project['can_apply']==true){ ?>	
					<div class="apply-pop">
						<a href="" data-toggle="modal" data-target="#myModal" class="apply-btn-big"><i class="apply-icon-wt"></i>Apply for this project</a>
					</div>
					<?php }?>
				</div>
				
				<div class="col-sm-4">
					<div class="project-deatil-col-p">
						<img src="<?php echo $project['company']['LogoUrl'] ?>" alt="t-logo" />
						<ul class="student-listing">
							<li><i class="start-date"></i>Start Date:<span> <?php echo $project['StartDate']?></span></li>
							<li><i class="end-date"></i>End Date:<span> <?php echo $project['EndDate']?></span></li>
							<li><i class="end-date"></i>Application Deadline:<span> <?php echo $project['ApplicationDeadline']?></span></li>
							<li><i class="delivery"></i>Mode of Delivery:<span> <?php echo $project['Location']?></span></li>
							<li><i class="county"></i>County: <span> <?php echo $project['LocationCounty']?></span></li>
							<li><i class="no-student"></i>No of Students: <span> <?php echo $project['MaxNumOfStudents']?></span></li>
							<li><i class="est"></i>Est. Allocation:  <span> <?php echo $project['EstTimeAllocation']?></span></li>
							<li><i class="budget"></i>Budget (GBP):<span> <?php echo $project['Budget']?></span></li>
						</ul>
					</div>
				</div>
			</div>
			
		</div>
	</section>
<?php if(!empty($project['can_apply']) && $project['can_apply']==true){ ?>	
<a style="display:inline" href="" data-toggle="modal" data-target="#myModal" class="apply-btn"><img src="<?php echo base_url('assets/images/apply-btn.png'); ?>" alt="apply-btn"></a>
<div class="apply-mod">
		<!-- Modal -->
		<div id="myModal" class="modal fade" role="dialog">
		  <div class="modal-dialog">

			<!-- Modal content-->
			<div class="modal-content">
			  <div class="modal-header">
				<button type="button" class="close" data-dismiss="modal">&times;</button>	
			  </div>
			  <div class="modal-body apply-mod">
				<div class="pop-title">
				<h3>Cover Letter<span class="required-star">*</span></h3>
				</div>
				<form method="post" action=<?php echo base_url('projects/apply?projectid='.$project['ProjectId']) ?>>
					<textarea class="validate-field" data-field="input" name="CoverLetter"><?php echo $project['my_cover_letter']?></textarea>
					<button type="submit" class="green-btn apply_for_project">Apply for project</button>
				</form>
			  </div>
			</div>
			</div>
		</div>
	</div>
<?php }?>
<?php if(!empty($project['my_current_status'])) {?>
<?php if($project['my_current_status']['StudentStatus']==StudentHelper::PROJECT_STATUS_COMPLETED){ ?>
	<?php if(!empty($project['my_score'])){
	    $score = $project['my_score'];
	    ?>
	    <?php if (!$this->agent->is_referral()){ ?>
					
					 <a href="<?php echo $this->agent->referrer();?>"
						class="comp-down-btn"><i></i>Back</a>
				
			<?php }?>
	
<!-- Modal Scores -->
		<div id="score" class="modal fade score-popup" role="dialog">
		  <div class="modal-dialog">

			<!-- Modal content-->
			<div class="modal-content">
			  <div class="modal-header">
				<button type="button" class="close" data-dismiss="modal">&times;</button>	
			  </div>
			  <div class="modal-body">
				<div class="pop-title">
					<h3>Project Score <?php echo $score['OverallScore']?></h3>
				</div>
			  </div>
			  <div class="rating-row">
				<span>Knowledge</span>
				<?php echo JsHelper::getStars(intval($score['Knowledge']))?>
			  </div>
			  <div class="rating-row">
				<span>Ownership</span>
				<?php echo JsHelper::getStars(intval($score['Ownership']))?>
			  </div>
			  <div class="rating-row">
				<span>Communication</span>
				<?php echo JsHelper::getStars(intval($score['Communication']))?>
			  </div>
			  <div class="rating-row">
				<span>Responsiveness</span>
				<?php echo JsHelper::getStars(intval($score['Responsiveness']))?>
			 </div>
			  <div class="rating-row">
				<span>Organisation</span>
				<?php echo JsHelper::getStars(intval($score['Organisation']))?>
			  </div>
			  <div class="rating-row">
				<span>Leadership</span>
				<?php echo JsHelper::getStars(intval($score['Leadership']))?>
			  </div>
			  <div class="rating-row">
				<span>Teamwork</span>
				<?php echo JsHelper::getStars(intval($score['TeamWork']))?>
			  </div>
			  <div class="rating-footer">
				<span>Comment:</span>
				<p><?php echo $score['Comments']?></p>
			  </div>
			</div>
			</div>
		</div>
	<!-- End Modal Scores -->
	<?php }?>
	<!-- Modal Download Deliverables -->
<div id="myModal5" class="modal fade download-deliverables-popup"
	role="dialog">
	<div class="modal-dialog modal-lg">

		<!-- Modal content-->
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal">&times;</button>
			</div>
			<div class="modal-body">
				<div class="pop-title">
					<h3>Download Deliverables</h3>
				</div>
			</div>

		</div>
	</div>
</div>
<!-- End Modal Download Deliverables -->
<script>
/*DOWNLOAD DELIVARABLES DISPLAY MODAL - START*/
$("#myModal5").on("show.bs.modal", function(e) {
    var link = $(e.relatedTarget);
    $(this).find(".modal-body").load(link.data("link"));
});
/*DOWNLOAD DELIVARABLES DISPLAY MODAL -END*/
</script>
	<?php }?>
	<?php if($project['my_current_status']['StudentStatus']==StudentHelper::PROJECT_STATUS_SELECTED){?>
	<!-- Modal Upload Deliverables Start-->
		<div id="upload" class="modal fade upload-deliverales" role="dialog">
		  <div class="modal-dialog">

			<!-- Modal content-->
			<div class="modal-content">
			  <div class="modal-header">
				<button type="button" class="close" data-dismiss="modal">&times;</button>	
			  </div>
			  <div class="modal-body">
				<div class="pop-title">
				<h3>Upload Deliverables</h3>
				</div>
				<div class="upload-deliverales-popup">
				<?php echo JsHelper::getDeliverableForm($project['ProjectId']);?>
					
				</div>
			  </div>  
			 </div>
		  </div>
		</div>
	
	<!--Modal Upload Deliverables View End-->
	<?php }?>
<!-- Menu Dropdown -->
<?php echo JsHelper::getDeliverableFileValidation('input[name="file"]',"'rar','zip'");?>
<?php }?>

